<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout.html}"
>
<head>
    <title>Player control</title>
    <!--    <link rel="stylesheet" th:href="@{/css/newspaceship.css}" type="text/css"/>-->
</head>

<body>
<div layout:fragment="content">
    <h1>Control</h1>


    <h2>Video control</h2>

    <p class="lead">Here you can perform basics testing and monitoring, it serves as a secondary tool for
        control.</p>
    <div>
        <button id="play" type="button" class="btn btn-primary">Play</button>
        <button id="pause" type="button" class="btn btn-primary">Pause</button>
        <button id="next"  type="button" class="btn btn-primary" > Next</button>
        <button id="prev"  type="button" class="btn btn-primary" > Prev</button>
        <button id="stop"  type="button" class="btn btn-primary" > Stop</button>
    </div>
    <br>
    <div>
        <button id="runAutonomous" type="button" class="btn btn-secondary">Back to autonomous</button>
    </div>
    <br>
    <dl class="row">
        <dt class="col-sm-3">Play</dt>
        <dd class="col-sm-9">will set all clients to play current track</dd>

        <dt class="col-sm-3">Pause</dt>
        <dd class="col-sm-9"> pauses all client</dd>
    </dl>
    <br>
    <p class="lead">You can change currently played playlist with this button. The playlists are represented by
        videosets</p>
    <div class="dropdown">
        <button class="btn btn-warning dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown"
                aria-haspopup="true" aria-expanded="false">
            Change playlist
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
            <button th:if="${displaySets.isEmpty()}" selected>No display sets</button>
            <button class="dropdown-item change-playlist" th:each="displaySet : ${displaySets}"
                    th:value="${displaySet.id}"
                    th:text="${displaySet.name}"></button>
        </div>
    </div>

    <br>

    <div id="playedContent">
        <div class="text-center">
            <div class="spinner-border" role="status">
                <span class="sr-only">Loading...</span>
            </div>
        </div>
    </div>

    <br>


    <h2>Emergency</h2>
    <p class="lead">By restarting the application running on client will shutdown and restart automaticaly</p>

    <div th:if="${clientCount==0}">
        <a> Wrong configuration, client count = 0</a>
    </div>
    <div th:unless="${clientCount==0}">
        <button th:value="${client}" type="button" class="shutdown btn btn-danger my-2"
                th:text="${'Restart ' + client}" th:each="client:${#numbers.sequence(1,clientCount)}"></button>

    </div>


    <!--    <button id="shutdown1" type="button" class="btn btn-danger">Restart 1</button>-->
    <!--    <button id="shutdown2" type="button" class="btn btn-danger">Restart 2</button>-->


</div>

</body>

<footer layout:fragment="content_js">
    <script type="module" src="/js/common.js"></script>
    <script type="module" src="/js/control.js"></script>
</footer>